export type Event = {
    name: string;
    description: string;
    event?: string | undefined;
};
/**
 * @type {{[x: string]: number}}
 */
export const APP_FLAGS: {
    [x: string]: number;
};
/**
 * @type {{[x: string]: number}}
 */
export const BASE_INTENTS: {
    [x: string]: number;
};
/**
 * @type {{[x: string]: number}}
 */
export const PRIVILEGED: {
    [x: string]: number;
};
/**
 * @type {{[x: string]: number}}
 */
export const PERMISSION_NAMES: {
    [x: string]: number;
};
/**
 * @type {{[x: string]: number}}
 */
export const USER_FLAGS: {
    [x: string]: number;
};
/**
 * @type {{[x: string]: string}}
 */
export const InteractionType: {
    [x: string]: string;
};
/**
 * @type {{[x: string]: string}}
 */
export const channelType: {
    [x: string]: string;
};
/**
 * @type {{[x: string]: string}}
 */
export const messageType: {
    [x: string]: string;
};
/**
 * @type {{[x: string]: string}}
 */
export const ComponentType: {
    [x: string]: string;
};
/**
 * @type {{[x: string]: number}}
 */
export const componentType: {
    [x: string]: number;
};
/**
 * @type {{[x: string]: string}}
 */
export const ApplicationCommandType: {
    [x: string]: string;
};
/**
 * @type {{[x: string]: string}}
 */
export const WebhookType: {
    [x: string]: string;
};
/**
 * @typedef {Object} Event
 * @property {string} name
 * @property {string} description
 * @property {string} [event]
 */
/**
 * @type {{[x: number]: Event}}
 */
export const AuditLogEvents: {
    [x: number]: Event;
};
/**
 * @type {{[x: string]: number}}
 */
export const buttonStyle: {
    [x: string]: number;
};
/**
 * @type {{[x: string]: string}}
 */
export const ExplicitContentFilter: {
    [x: string]: string;
};
/**
 * @type {{[x: string]: string}}
 */
export const NSFWLevel: {
    [x: string]: string;
};
/**
 * @type {{[x: string]: number}}
 */
export const SystemChanFlags: {
    [x: string]: number;
};
/**
 * @type {{[x: string]: number}}
 */
export const MessageFlags: {
    [x: string]: number;
};
/**
 * @type {{[x: string]: string}}
 */
export const ScheduledEventEntityType: {
    [x: string]: string;
};
/**
 * @type {{[x: string]: string}}
 */
export const ScheduledEventStatus: {
    [x: string]: string;
};
//# sourceMappingURL=enum.d.ts.map